﻿namespace NetinaShop.AdminPanel.PWA.Models;

public static class Address
{
#if DEBUG
    public static string BaseAddress = "http://localhost:32770/api";
    //public static string BaseAddress = "https://api.vesmook.com/api";
#else
    public static string BaseAddress = "https://api.vesmook.com/api";
#endif
    public static string AuthController = $"{BaseAddress}/auth";
    public static string UserController = $"{BaseAddress}/user";
    public static string ProductCategoryController = $"{BaseAddress}/product/category";
    public static string ProductController = $"{BaseAddress}/product";
    public static string BrandController = $"{BaseAddress}/brand";
    public static string FileController => $"{BaseAddress}/file";
    public static string BlogController => $"{BaseAddress}/blog";
    public static string BlogCategoryController => $"{BaseAddress}/blog/category";
    public static string DiscountController => $"{BaseAddress}/discount";
    public static string RoleController => $"{BaseAddress}/user/role";
    public static string ShippingController => $"{BaseAddress}/warehouse/shipping";
}